Subject: Possible custom disctionary software?

From: Lee Daniel Crocker <[email-masked]>
Date: Wed, 24 Jul 2002 18:43:38 -0500

I have spent much of my time lately rewriting from scratch the
software that runs Wikipedia, an online encyclopedia-building
project. The software is a custom Wikiwiki, with many features
designed for the project (such as facilities for uploading images
for use as illustrations and including text descriptions of them).

It occurs to me that a few further customizations would make it
a great tool for collaboratively building a dictionary. Specifically,
instead of saving and editing just a single free-form piece of text
for each article, it could present a form to be filled out with
predicate places, definition, examples, etc. Perhaps special
markup for switching among Lojban and English. Facilities for
"locking" pages that have been completed and approved.

You can use the current software at http://www.wikipedia.com
Any other ideas for how it might be put to use here?

-- 
Lee Daniel Crocker <[email-masked]> <http://www.piclab.com/lee/>
"All inventions or works of authorship original to me, herein and past,
are placed irrevocably in the public domain, and may be used or modified
for any purpose, without permission, attribution, or notification."--LDC